import edu.cmu.cs.pattis.cs151xx.Prompt;
import java.awt.Point;


public class PositionBasics implements Position {

  public PositionBasics (int centerX, int centerY)
  {center = new Point(centerX,centerY);}
    
  public Point getCenter ()
  {return center;}

  public double distanceTo (Position other)
  {return center.distance(other.getCenter());}

  public void moveCenterTo (Point newCenter)
  {
    center.x = newCenter.x;
    center.y = newCenter.y;
  }

  public void moveCenterBy (int dx, int dy)
  {
    center.x += dx;
    center.y += dy;
  }

  public void promptForPositionInformation()
  {
    int x = Prompt.forInt("  Enter x coordinate for center");
    int y = Prompt.forInt("  Enter y coordinate for center");
    moveCenterTo( new Point(x,y) );
  }
  
  public String toString ()
  {return "PositionBasic[center="+center+"]";}

  //Fields
  private Point center;
}