import java.awt.Rectangle;
import edu.cmu.cs.pattis.cs151xx.Prompt;



public class Circle extends PositionalShapeBasics {

  public Circle (String name, int centerX, int centerY, double r)
    { 
      super(name,centerX,centerY);
      radius = r;
    }
    
    //Implement the getArea method,
    //  specified in the Shape interface
    public double getArea()
    {return Math.PI * radius * radius;}

    //Implement the promptForInformation method,
    //   specified abstract in the PositionalShapeBasics class
    public void promptForInformation()
    {
      super.promptForInformation();
      radius = Prompt.forDouble("  Enter radius");
    }

    
    //Implement the getBoundingBox method,
    //  specified inthe PositionalShape interface
    public Rectangle getBoundingBox()
    {
      return new Rectangle( (int)(getCenter().x-radius),
                            (int)(getCenter().y-radius),
                            (int)(2*radius),
                            (int)(2*radius) );
    }
    
    public double getRadius()
    {return radius;}
    
    public void setRadius(double newRadius)
    {radius = newRadius;}

    public String toString( )
    {return "Circle[radius="+radius+","+super.toString()+"]";}


    //Fields
    private double radius;
  }